---
- name: Check if ZeroTier is installed
  stat:
    path: /var/lib/zerotier-one/zerotier-one
  register: zerotier_installed

- name: Configure ZeroTier network
  command: /var/lib/zerotier-one/zerotier-cli join {{ zerotier_network_id }}
  when: zerotier_installed.stat.exists
  register: zerotier_configured
